function fns = ConstructRFLPCAProb_St(D, N, fns)
% D is the dataset, stroed in cell.
% N is number of sample
% fns is a structure related to Problem, and contains 
%    fns.cost,
%    fns.grad,
%    fns.partialgrad, 

    fns.cost  = @(x) cost(x, D, N);
    fns.grad = @(x) partialgrad(x, D, 1:N);
    fns.partialgrad = @(x, S) partialgrad(x, D, S);    
end

function output = cost(x, D, N)
    Dx = D*x;
    output = - (Dx'*Dx) / N;
end

function output = partialgrad(x, D, S)
    S = sort(S);
    Ds = D(S,:);
    tmp = (-2 / length(S)) * Ds' * (Ds * x);   
    output = tmp - (x'*tmp) * x;
    % output = tmp / length(S);
end

