function fns = ConstructRFLPCAProb_Stief(D, N, fns)
% D is the dataset, stroed in cell.
% N is number of sample
% fns is a structure related to Problem, and contains 
%    fns.cost, 
%    fns.egrad,
%    fns.partialegrad, 

    fns.cost  = @(x) cost(x, D, N);
    fns.grad = @(x) partialgrad(x, D, 1:N);
    fns.partialgrad = @(x, S) partialgrad(x, D, S);   
end

function output = cost(x, D, N)
    Dx = D * x;
    output = - sum(sum(Dx .* Dx)) / N;
end

function output = partialgrad(x, D, S)    
    S = sort(S);
    Ds = D(S,:);
    tmp = (-2 / length(S)) * Ds' * (Ds * x);   
    sym = x'*tmp;
    sym = 0.5 * (sym+ sym');
    output = tmp - x * sym;
end
