clc;clear;close all

nagents = 40;
ncostterms = 80;
K1 = 10;

%%%%%%%%%%%
p = 5;
load("PCASTIEF_40x80_5_cayley.mat")

opt.legends = ["RFedAGS", "RFedAvg", "RFedSVRG","RFedProj"];
opt.title = '$K$='+string(K1);
opt.ylabel = 'Excess Risk';
opt.Markers = {"-^", "->", "-v", "-<"};
t = 0:1:length(fvs1)-1;
opt.MarkerIndices = [75,80,75,75];
opt.Markersize = 10;
opt.LineWidth = 2.;
opt.number = 1;
opt.Color4 = 0.7;
opt.xlabel = 'Iterations';
opt.filePath = 'PCASTIEF_Syn_K_Fixed'+string(nagents)+'x'+string(ncostterms) + '_' + string(p) + '_cayley_ERvsIter';
myplot([t', t', t', t'], [fvs1, fvs2, fvs3, fvs4] - fv5, opt)

opt.xlabel = 'CPU time (s)';
opt.number = 2;
opt.filePath = 'PCASTIEF_Syn_K_Fixed'+string(nagents)+'x'+string(ncostterms) + '_' + string(p) +  '_cayley_ERvsTime';
myplot([times1, times2, times3, times4], [fvs1, fvs2, fvs3, fvs4] - fv5, opt)

%%%%%%%%%%
p = 10;
load("PCASTIEF_40x80_10_cayley.mat")

opt.legends = ["RFedAGS", "RFedAvg", "RFedSVRG","RFedProj"];
opt.title = '$K$='+string(K1);
opt.ylabel = 'Excess Risk';
opt.Markers = {"-^", "->", "-v", "-<"};
t = 0:1:length(fvs1)-1;
opt.MarkerIndices = [100,105,100,100];
opt.Markersize = 10;
opt.LineWidth = 2.;
opt.number = 3;
opt.Color4 = 0.8;
opt.xlabel = 'Iterations';
opt.filePath = 'PCASTIEF_Syn_K_Fixed'+string(nagents)+'x'+string(ncostterms) + '_' + string(p) + '_cayley_ERvsIter';
myplot([t', t', t', t'], [fvs1, fvs2, fvs3, fvs4] - fv5, opt)

opt.xlabel = 'CPU time (s)';
opt.number = 4;
opt.filePath = 'PCASTIEF_Syn_K_Fixed'+string(nagents)+'x'+string(ncostterms) + '_' + string(p) +  '_cayley_ERvsTime';
myplot([times1, times2, times3, times4], [fvs1, fvs2, fvs3, fvs4] - fv5, opt)

%%%%%%%%%%
p = 5;
load("PCASTIEF_40x80_qr.mat")

opt.legends = ["RFedAGS", "RFedAvg", "RFedSVRG","RFedProj"];
opt.title = '$K$='+string(K1);
opt.ylabel = 'Excess Risk';
opt.Markers = {"-^", "->", "-v", "-<"};
t = 0:1:length(fvs1)-1;
opt.MarkerIndices = [75,80,75,75];
opt.Markersize = 10;
opt.LineWidth = 2.;
opt.number = 5;
opt.Color4 = 0.8;
opt.xlabel = 'Iterations';
opt.filePath = 'PCASTIEF_Syn_K_Fixed'+string(nagents)+'x'+string(ncostterms) + '_qr_ERvsIter';
myplot([t', t', t', t'], [fvs1, fvs2, fvs3, fvs4] - fv5, opt)

opt.xlabel = 'CPU time (s)';
opt.number = 6;
opt.filePath = 'PCASTIEF_Syn_K_Fixed'+string(nagents)+'x'+string(ncostterms) + '_qr_ERvsTime';
myplot([times1, times2, times3, times4], [fvs1, fvs2, fvs3, fvs4] - fv5, opt)